Skip to main content
`Ctrl`+`K`

# TSComputeInitialCondition

Compute an initial condition for the timestepping using the function previously set with `TSSetComputeInitialCondition()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeInitialCondition(TS ts, Vec u)

Collective

## Input Parameters

- ts - time stepping context

- u - The `Vec` to store the condition in which will be used in `TSSolve()`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetComputeInitialCondition()`, `TSSetComputeInitialCondition()`, `TSSolve()`

## Level

advanced

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages